// oop_ex61.java: Access control in Java.  vs oop_ex_b.cpp

import java.io.*;


class vector
{
	private double x = 0;
	protected double y = 0;
	public double z = 0;
	double w = 0;
	
	public void setData(double xx, double yy, double zz, double ww)
	{
		x = xx;
		y = yy;
		z = zz;
		w = ww;
	}
	
	public void print()
	{
		System.out.println("x = " + x);
		System.out.println("y = " + y);
		System.out.println("z = " + z);
		System.out.println("w = " + w);
		System.out.println();
	}
}

class subvector extends vector
{
	public void setData(double xx, double yy, double zz, double ww)
	{
		//x = xx;
		y = yy;
		z = zz;
		w = ww;
	}
	
	public void print()
	{
		//System.out.println("x = " + x);
		System.out.println("y = " + y);
		System.out.println("z = " + z);
		System.out.println("w = " + w);
		System.out.println();
	}
}	
		


class test
{
	public static void main(String[] args)
	{
		//vector v1;	//create a vector reference only
		vector v1 = new vector();	//create a vector reference and its associated object
		v1.print();
		
		v1.setData(10,10,10,10);
		v1.print();

		//v1.x = 20;
		v1.y = 20;
		v1.z = 20;			
		v1.w = 20;			
		v1.print();
		
		subvector v2 = new subvector();
		v2.setData(30,30,30,30);
		v2.print();
		
		//v2.x = 40;
		v2.y = 40;
		v2.z = 40;			
		v2.w = 40;			
		v2.print();
	}	
}